fix libevent version
authorMichael Wallner <mike@php.net>
Fri, 1 Aug 2014 08:20:25 +0000 (10:20 +0200)
committerMichael Wallner <mike@php.net>
Fri, 1 Aug 2014 08:20:25 +0000 (10:20 +0200)
config9.m4

index 85a7ec4..ba1b935 100644 (file)
@@ -331,7 +331,7 @@ dnl ----
                        AC_MSG_CHECKING([for libevent version, roughly])
                        
                        if test -f "$EVENT_DIR/include/event2/event.h"; then
-                               EVENT_VER="`$EGREP _EVENT_VERSION $EVENT_DIR/include/event2/event-config.h | $AWK '{print $3}'`"
+                               EVENT_VER="`$AWK '/_EVENT_VERSION/ {gsub(/\"/,\"\",$3); print $3}' < $EVENT_DIR/include/event2/event-config.h`"
                                AC_DEFINE([PHP_HTTP_HAVE_EVENT2], [1], [ ])
                        else
                                AC_DEFINE([PHP_HTTP_HAVE_EVENT2], [0], [ ])